## simp 0.1

=== Makefile ===
all:
	make -C core
	make -C lx
	make -C widgets
	make -C test

clean:
	make -C core clean
	make -C lx clean
	make -C widgets clean
	make -C test clean


SHAREFILES = \
    test/next.png               \
    test/next-pressed.png       \
    test/play.png               \
    test/play-pressed.png       \
    test/playlists.png          \
    test/playlists-pressed.png  \
    test/prev.png               \
    test/prev-pressed.png       \
    test/rotate.png             \
    test/rotate-pressed.png     \
    test/slider-background.png  \
    test/slider-button.png


install: all $(SHAREFILES)
	cp test/lxtest $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/usr/share/simp-test
	cp $(SHAREFILES) $(DESTDIR)/usr/share/simp-test/


.PHONY: all clean install

=== core/Makefile ===
SOURCES = \
    String.cpp


CFLAGS = -g


OBJS = $(SOURCES:%.cpp=%.o)


all: liblxcore.a

liblxcore.a: $(OBJS)
	rm -f $@
	ar r $@ $^


.cpp.o:
	g++ -c $(CFLAGS) $< -o $@


depend: $(SOURCES)
	g++ -M -MM -MG -MP $(CFLAGS) $(SOURCES) >$@

include depend

clean:
	rm -f *.o depend *~ *.a

=== lx/Makefile ===
SOURCES = \
    Display.cpp     \
    Exception.cpp   \
    Log.cpp         \
    Widget.cpp      \
    Window.cpp      \
    MainLoop.cpp    \
    Canvas.cpp      \
    Image.cpp       \
    BorderImage.cpp \
    Color.cpp       \
    Layout.cpp      \
    HBox.cpp        \
    Font.cpp        \
    EventSource.cpp


CFLAGS = -g -I .. `pkg-config --cflags x11 xft xrender`


OBJS = $(SOURCES:%.cpp=%.o)


all: liblx.a

liblx.a: $(OBJS)
	rm -f $@
	ar r $@ $^


.cpp.o:
	g++ -c $(CFLAGS) $< -o $@


depend: $(SOURCES)
	g++ -M -MM -MG -MP $(CFLAGS) $(SOURCES) >$@

include depend

clean:
	rm -f *.o depend *~ *.a

=== test/Makefile ===
SOURCES = lxtest.cpp

CFLAGS = -g -I.. `pkg-config --cflags x11 xrender xft imlib2`
LIBS = `pkg-config --libs x11 xrender xft imlib2`


OBJS = $(SOURCES:%.cpp=%.o)


all: lxtest

lxtest: $(OBJS) ../widgets/liblxwidgets.a ../lx/liblx.a ../core/liblxcore.a
	g++ $^ -o $@ $(LIBS)

.cpp.o:
	g++ -c $(CFLAGS) $< -o $@

depend: $(SOURCES)
	g++ -M -MM -MG -MP $(CFLAGS) $(SOURCES) >$@

include depend

clean:
	rm -f *.o lxtest *~ depend

=== widgets/Makefile ===
SOURCES = \
    ScalableButton.cpp  \
    Slider.cpp          \
    SimpleButton.cpp    \
    List.cpp


CFLAGS = -g -I.. `pkg-config --cflags x11 xrender xft`

OBJS = $(SOURCES:%.cpp=%.o)

all: liblxwidgets.a

liblxwidgets.a: $(OBJS)
	rm -f $@
	ar r $@ $^


.cpp.o:
	g++ -c $(CFLAGS) $< -o $@


depend: $(SOURCES)
	g++ -M -MM -MG -MP $(CFLAGS) $(SOURCES) >$@

include depend

clean:
	rm -f *.o depend *~ *.a

=== debian/changelog ===
simp (0.1) unstable; urgency=low

  * UI demo

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  28 Sep 2011 08:39:00 +0400

=== debian/control ===
Source: simp
Section: user/multimedia
Priority: extra
Maintainer: Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>
Build-Depends: debhelper (>= 5), libx11-dev, libimlib2-dev, libxrender-dev, libxft-dev
Standards-Version: 2.0

Package: simp-test
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Experiments around Simp audio player
XB-Maemo-Display-Name: Simp test

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make clean

	dh_clean

build:
	dh_testdir

	make


install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make DESTDIR=$(CURDIR)/debian/simp-test install


binary-indep:


binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb



binary: binary-indep binary-arch

.PHONY: clean build install binary-indep binary-arch binary

## simp le-client-0.6.1

=== pyi/Makefile ===
all:
	pyinstaller simp_le.spec

clean:
	rm -rf build dist

=== pyi/requirements.txt ===
pyinstaller>=3.0
